VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2640
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7230
   LinkTopic       =   "Form1"
   ScaleHeight     =   2640
   ScaleWidth      =   7230
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   855
      Left            =   3120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Text            =   "picdisplay.frx":0000
      Top             =   1440
      Width           =   3735
   End
   Begin VB.CommandButton DF 
      Caption         =   "Dump Frame"
      CausesValidation=   0   'False
      Height          =   735
      Left            =   4080
      TabIndex        =   1
      Top             =   360
      Width           =   1815
   End
   Begin VB.PictureBox Pic 
      Height          =   2175
      Left            =   240
      ScaleHeight     =   2115
      ScaleWidth      =   2355
      TabIndex        =   0
      Top             =   240
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub DF_Click()
    Dim fr(40000) As Byte   'Byte array that holds the image
    Dim i As Integer        'catches return values from dll functions
    Dim started As Boolean  'image processing
    Dim col As Integer      'image processing
    Dim row As Integer      'image processing
    Dim x As Long           'image processing
    
    'Ping the camera before we try a dumpframe
    'to make sure everything is hooked up right
    
    i = CAM_Ping 'Ping the camera
    
    'Update the text box
    If i = 1 Then
        Text1.Text = "Ping....OK" & vbCrLf
        Text1.Refresh
    Else
        Text1.Text = "Ping....FAILED" & vbCrLf
        Text1.Refresh
    End If
    
    'Update the textbox
    Text1.Text = Text1.Text & "Dumping Frame...."
    Text1.Refresh
    
    'Using VB pointers get our frame
    i = CAM_DumpFrame(VarPtr(fr(0)))
    
    'Update the textbox
    If i = 1 Then
        Text1.Text = Text1.Text & "OK" & vbCrLf
        Text1.Refresh
    Else
        Text1.Text = Text1.Text & "FAILED" & vbCrLf
        Text1.Refresh
    End If
    
    col = 0 'used for image display
    row = 0 'used for image display
    started = False

    Pic.ScaleMode = vbPixels

    For x = 1 To 34407
        '1 = start of frame
        If fr(x) = 1 Then
            Pic.Cls
            started = True
        '2 = new col
        ElseIf fr(x) = 2 Then
            col = col + 2
            row = 0
        '3 = end of frame
        ElseIf fr(x) = 3 Then
           Text1.Text = Text1.Text & "Image Dump Complete"
            Exit Sub
        Else
            'Make sure we started by seeing a 1
            'before adding stuff to the picture box
            If started = True Then
                'have to double up the columns
                Pic.PSet (col, row), RGB(fr(x), fr(x + 1), fr(x + 2))
                Pic.PSet (col + 1, row), RGB(fr(x), fr(x + 1), fr(x + 2))
                row = row + 1   'go to next row
                x = x + 2       'bump x since data is stored as rgb we ripped
                                '3 off so 2 here one at the next x = 3
            End If
        End If
    Next x
End Sub

Private Sub Form_Load()
    'open and initialize the CMUCam and the Comport
    CAM_Init ("COM1")
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'close out the comport
    CAM_ClosePort
End Sub
